package com.xydl.controller;

import com.xydl.util.DataSourceUtils;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.sql.DataSource;
import java.sql.*;


@RestController
public class JDBCController {
    private static final Logger logger = LoggerFactory.getLogger(DataSourceUtils.class);


        @RequestMapping("/data")
        public void getData() {
            Connection conn = null;
            PreparedStatement pstmt = null;
            try {
                conn = DataSourceUtils.getConnection();
                String sql = "insert into pop_id(node_id,id) values(?,?)";
                pstmt = conn.prepareStatement(sql);
                pstmt.setString(1, "");
                pstmt.setInt(2, 100);
                pstmt.executeUpdate();
            } catch (Exception e) {
                logger.error("execute sql exception:", e);
            } finally {
                DataSourceUtils.closeResource(pstmt, conn);
            }
        }





}




