package com.xydl.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;

import java.sql.Timestamp;
import java.util.Date;

@Data
public class Eaif {

    @JsonProperty("SubDeviceID")
    private String subDeviceID;

    @JsonProperty("SensorCode")
    private String sensorId;

    @JsonProperty("AcquisitionTime")
    private String captureTime;

    @JsonProperty("MaxTmp")
    private double maxTemp;

    @JsonProperty("MinTmp")
    private double minTemp;

    @JsonProperty("AvgTmp")
    private double avgTemp;

}
