package com.xydl.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;

import java.sql.Timestamp;
import java.util.Date;

@Data
public class Microclimate {
    @JsonProperty("SubDeviceID")
    private String subDeviceID;

    @JsonProperty("SensorCode")
    private String sensorId;

    @JsonProperty("AcquisitionTime")
    private String dTime;

    @JsonProperty("AirTemperature")
    private double envTmp;

    @JsonProperty("AirPressure")
    private double envPres;

    @JsonProperty("Humidity")
    private double envHum;

    @JsonProperty("Precipitation")
    private double rnfll;

    @JsonProperty("PrecipitationIntensity")
    private double PreciInten = 0;

    @JsonProperty("RadiationIntensity")
    private double radiInten = 0;





}
