package com.xydl.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;

import java.sql.Timestamp;
import java.util.Date;

@Data
public class Moa {

    @JsonProperty("SubDeviceID")
    private String subDeviceID;

    @JsonProperty("SensorCode")
    private String sensorId;

    @JsonProperty("AcquisitionTime")
    private String captureTime;

    @JsonProperty("SystemVoltage")
    private double pt1;

    @JsonProperty("TotalCurrent")
    private double lc1;

    @JsonProperty("ResistiveCurrent")
    private double rc1;

    @JsonProperty("ActionCount")
    private double ligcnt1;

    @JsonProperty("LastActionTime")
    private String lastligtm1;

}
