package com.xydl.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;

import java.sql.Timestamp;
import java.util.Date;

@Data
public class Pd {

    @JsonProperty("SubDeviceID")
    private String subDeviceID;

    @JsonProperty("SensorCode")
    private String sensorId;

    @JsonProperty("AcquisitionTime")
    private String dTime;

    @JsonProperty("DischargeCapacity")
    private double waveForm;

    @JsonProperty("DischargePosition")
    private double apppadsch;

    @JsonProperty("PulseCount")
    private double plsNum;

}
