package com.xydl.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;
import java.sql.Timestamp;
import java.util.Date;

@Data
public class RptTemper {

    @JsonProperty("SubDeviceID")
    private String subDeviceID;

    @JsonProperty("SensorCode")
    private String sensorId;

    @JsonProperty("AcquisitionTime")
    private String createTime;

    @JsonProperty("OlTmpA")
    private double aoTemper;

    @JsonProperty("OlTmpB")
    private double boTemper;

    @JsonProperty("OlTmpC")
    private double coTemper;

    @JsonProperty("IlTmpA")
    private double aiTemper;

    @JsonProperty("IlTmpB")
    private double biTemper;

    @JsonProperty("IlTmpC")
    private double ciTemper;

    @JsonProperty("OntologyTmp")
    private double boxTemper;


}
