package com.xydl.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;
import java.sql.Timestamp;
import java.util.Date;

@Data
public class Sf6 {

    @JsonProperty("SubDeviceID")
    private String subDeviceID;

    @JsonProperty("SensorCode")
    private String sensorId;

    @JsonProperty("AcquisitionTime")
    private String dTime;

    @JsonProperty("Temperature")
    private double temp1;

    @JsonProperty("Pressure20C")
    private double pressure1;

    @JsonProperty("AbsolutePressure")
    private double AbsolutePressure = pressure1 + 900;

    @JsonProperty("Density")
    private double md1;

    @JsonProperty("Moisture")
    private double pm1;

}
