package com.xydl.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;
import net.sf.jsqlparser.expression.DateTimeLiteralExpression;

import java.sql.Timestamp;
import java.text.SimpleDateFormat;
import java.util.Date;

/*
油色谱
 */
@Data
public class Epa {

    @JsonProperty("SubDeviceID")
    private String subDeviceID;

    @JsonProperty("SensorCode")
    private String sensorId;

    @JsonProperty("AcquisitionTime")
    private String dTime ;

    @JsonProperty("H2")
    private double h2ppm;

    @JsonProperty("CH4")
    private double ch4ppm;

    @JsonProperty("C2H6")
    private double c2h6ppm;

    @JsonProperty("C2H4")
    private double c2h4ppm;

    @JsonProperty("C2H2")
    private double c2h2ppm;

    @JsonProperty("CO")
    private double coppm;

    @JsonProperty("CO2")
    private double co2ppm;

    @JsonProperty("O2")
    private double o2ppm;

    @JsonProperty("N2")
    private double n2ppm;

    @JsonProperty("TotalHydrocarbon")
    private double totalHydroCarbon;

    @JsonProperty("GasPress")
    private double gaspress;

    @JsonProperty("H2O")
    private double h2oppm;

    @JsonProperty("Phase")
    private String phase;

}
