package com.xydl.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;
import java.sql.Timestamp;
import java.util.Date;

@Data
public class Sf6env {

    @JsonProperty("SubDeviceID")
    private String subDeviceID;

    @JsonProperty("SensorCode")
    private String sensorId;

    @JsonProperty("AcquisitionTime")
    private String dTime;

    @JsonProperty("gas1")
    private double gas1;

    @JsonProperty("yq1")
    private double yq1;

    @JsonProperty("md1")
    private double md1;

    @JsonProperty("pm1")
    private double pm1;

    @JsonProperty("gascnt1")
    private double gascnt1;

    @JsonProperty("hmcnt1")
    private double hmcnt1;

    @JsonProperty("sf6warn1")
    private double sf6warn1;

    @JsonProperty("o2warn1")
    private double o2warn1;
}
